
Redmine - Feature #13099

Issue Summary: add statistics about issues without assignee, version or category

2013-02-07 12:35 - Wim DePreter

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed   

Description

Is it possible to add information/statistics in the issue summary about the issues without an Assignee/Version/Category?

Related issues:

Related to Redmine - Patch #1671: Show a breakdown of estimated/spent/remaini... New 2008-07-21

Associated revisions

Revision 21309 - 2021-12-12 05:40 - Go MAEDA

Issue Summary: add statistics about issues without assignee, version or category (#13099).

Patch by Takenori TAKAKI.

Revision 21311 - 2021-12-13 14:37 - Go MAEDA

Fix test failure due to r21309 (#13099).

History

#1 - 2013-02-07 14:37 - Mischa The Evil

This was once part of request #1671.

#2 - 2013-02-07 16:56 - Daniel Felix

This would be definitly nice!

+1 from me.

I'm currently searching for plugins which give a good statistic about project informations. But the most plugins, which are available are broken since

their support dropped 1-2 years ago. Redmine should set more interest on this, since a graphic/diagram is in the most cases better than a long

tablelisting.

#3 - 2013-02-07 21:30 - Jan Niggemann (redmine.org team member)

+1 from me, too

Daniel Lopez: http://www.redmine.org/plugins/monitoring-controlling?

#4 - 2013-02-08 09:13 - Daniel Felix

Jan Niggemann wrote:

Daniel Lopez: http://www.redmine.org/plugins/monitoring-controlling?

 Yep, but this seems to be broken. Most of it works pretty well, but the pie-charts seem to lose their function.

But this is more likely a core functionality for a project management software. Such a functionality should be extendable by plugins, but not just

defined by those. :-)

#5 - 2013-02-08 09:31 - Jan Niggemann (redmine.org team member)

Daniel Lopez: Let's continue this per Mail...

#6 - 2013-02-08 09:53 - Wim DePreter

- File 2013-02-08_09h41_07.png added

- File 2013-02-08_09h49_50.png added

2024-04-10 1/3

https://www.redmine.org/issues/1671
https://www.redmine.org/users/3056
http://www.redmine.org/plugins/monitoring-controlling
https://www.redmine.org/users/3056
http://www.redmine.org/plugins/monitoring-controlling
https://www.redmine.org/users/3056


Actually, my demand was only for an extra line in each group (assignee, version, category) on the issue summary page (and drilldown in those

groups), f.e.:

Issue summary:

 2013-02-08_09h41_07.png 

 Drilldown category:

 2013-02-08_09h49_50.png 

#7 - 2013-02-08 10:18 - Daniel Felix

Jan Niggemann wrote:

Daniel Lopez: Let's continue this per Mail...

 This was my issue. The plugin worked well. My theme.js has been broken after a jquery upgrade. :-)

But thanks anyway Jan.

#8 - 2013-03-25 15:30 - Dipan Mehta

+1. This would be really nice to have.

#9 - 2021-06-27 04:16 - Go MAEDA

- Category changed from UI to Issues

#10 - 2021-06-29 03:23 - Takenori TAKAKI

+1

I think this feature will give a clearer overview of the status of issues.

#11 - 2021-06-29 03:24 - Takenori TAKAKI

I made a patch and attached it.

#12 - 2021-06-29 03:24 - Takenori TAKAKI

- File 13099.patch added

#13 - 2021-07-07 07:04 - Go MAEDA

- Target version set to Candidate for next major release

#14 - 2021-08-15 04:42 - Go MAEDA

Thank you for posting the patch but I found that the string 'none' is hard-coded. I think internationalized label_none should be used instead of a

hard-coded string 'none'.

#15 - 2021-08-17 08:26 - Mischa The Evil

Go MAEDA wrote:

[...] I think internationalized label_none should be used instead of a hard-coded string 'none'.

 I agree. And besides that, it might be better to place the 'none' line at the top of the list instead of the bottom (like is visible for the category section in

the screenshots attached to issue #1671).

Otherwise I think this could be a good improvement of these views.

#16 - 2021-08-17 15:04 - Takenori TAKAKI

- File 13099-v2.patch added

Go MAEDA wrote:

Thank you for posting the patch but I found that the string 'none' is hard-coded. I think internationalized label_none should be used instead of a

hard-coded string 'none'.

 Thanks for pointing this out, Maeda.

I've attached a patch that improves the hard-cord of 'none'.
#17 - 2021-12-09 12:14 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

Mischa The Evil wrote:

I agree. And besides that, it might be better to place the 'none' line at the top of the list instead of the bottom (like is visible for the category

section in the screenshots attached to issue #1671).

 Currently, the 'none' line on the version page is placed at the bottom. So, for the sake of UI consistency, I think it is better to place it at the bottom also

on the summary page for now.

#18 - 2021-12-12 05:40 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

#19 - 2021-12-12 05:53 - Go MAEDA

- Subject changed from Issue Summary: add statistics about issues without Assignee, Version or Category to Issue Summary: add statistics about

issues without assignee, version or category

Files

2013-02-08_09h41_07.png 9.52 KB 2013-02-08 Wim DePreter

2013-02-08_09h49_50.png 7.14 KB 2013-02-08 Wim DePreter

13099.patch 6.26 KB 2021-06-29 Takenori TAKAKI

13099-v2.patch 6.36 KB 2021-08-17 Takenori TAKAKI
